libpeas-1.22.0

Introduction to libpeas

libpeas is a GObject based plugins engine, and is targeted at giving every application the chance to assume its own extensibility.

本パッケージは LFS-8.3 において正しくビルドでき動作することが確認されています。

Package Information

libpeas Dependencies

Required

gobject-introspection-1.58.0 and GTK+-3.24.0

Recommended

Optional

GDB-8.1.1, GTK-Doc-1.29, Valgrind-3.13.0, Glade, Seed, LGI (for LUA bindings, built with LUA-5.1), with either luajit or LUA-5.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libpeas

Installation of libpeas

Install libpeas by running the following commands:

./configure --prefix=/usr &&
make

To test the results, issue: make check. An active graphical session with bus address is necessary to run the tests.

Now, as the root user:

make install

Command Explanations

--enable-gtk-doc: GTK-Doc をインストール済で API ドキュメントを再構築する場合に指定します。

Contents

Installed Program: peas-demo
Installed Libraries: libpeas-1.0.so and libpeas-gtk-1.0.so
Installed Directories: /usr/include/libpeas-1.0, /usr/lib/libpeas-1.0, /usr/lib/peas-demo and /usr/share/gtk-doc/html/libpeas

Short Descriptions

peas-demo

is the Peas demo program.

libpeas-1.0.so

contains the libpeas API functions.

libpeas-gtk-1.0.so

contains the libpeas GTK+ widgets.

最終更新日: 2018-08-25 01:22:14 +0900